# class TestRender | More...
Internal Use Only
Definition | `#include <testrender.h>`
Inherits | QWidget (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- TestRender (QString _sourceDir, QString _destDir, QString _logFilename, QWidget* parent=0, const char *name=0)
- ~TestRender ()
- void processFiles ()

#### Protected Methods

- void nextPage ()
- void renderToImage ()

#### Protected Slots

- void slotPartCompleted ()

#### Protected Members

- QLabel *info
- QProgressBar *progress
- KHTMLPart *part
- MyKHTMLView *view
- QString sourceDir
- QString destDir
- QString logFilename
- QStrList filenames
- int fileno
- QFile *logFile
- QTextStream *logStream

## Detailed Description

TestRender (QString _sourceDir, QString _destDir, QString _logFilename, QWidget* parent=0, const char *name=0) | ### TestRender

~TestRender () | ### ~TestRender

void processFiles () | ### processFiles

QLabel * info | ### info

[protected]

QProgressBar * progress | ### progress

[protected]

KHTMLPart * part | ### part

[protected]

MyKHTMLView * view | ### view

[protected]

QString sourceDir | ### sourceDir

[protected]

QString destDir | ### destDir

[protected]

QString logFilename | ### logFilename

[protected]

QStrList filenames | ### filenames

[protected]

int fileno | ### fileno

[protected]

QFile * logFile | ### logFile

[protected]

QTextStream * logStream | ### logStream

[protected]

void nextPage () | ### nextPage

[protected]

void renderToImage () | ### renderToImage

[protected]

void slotPartCompleted () | ### slotPartCompleted

[protected slots slot]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:52 2001, using kdoc 2.0a53.